QA {tools} | R Documentation

## QA Checks for R Code and/or Documentation

### Description

Functions for performing various quality checks.

### Usage

    checkAssignFuns(package, dir, lib.loc = NULL)
    checkDocArgs(package, dir, lib.loc = NULL)
    checkDocStyle(package, dir, lib.loc = NULL)
    checkMethods(package, dir, lib.loc = NULL)

### Arguments

`package` | a character string naming an installed package.
`dir` | a character string specifying the path to a package's root source directory. This should contain the subdirectories `R` (for R code) and ``man`' with R documentation sources (in Rd format). Only used if `package` is not given.
`lib.loc` | a character vector of directory names of R libraries, or `NULL`. The default value of `NULL` corresponds to all libraries currently known. The specified library trees are used to to search for `package`.

### Details

`checkAssignFuns` checks whether assignment functions in the package R code have their final argument named `value`.

`checkDocArgs` checks, for all Rd files in a package, whether all arguments shown in the usage sections of the Rd file are documented in its arguments section. It also reports duplicated entries in the arguments section.

`checkDocStyle` investigates how (S3) methods are shown in the usages of the Rd files in a package. It reports if methods are shown along with their generic, which typically causes problems for the documentation of the primary argument of the generic. It also finds the methods shown by their full name (rather than that of the generic using the Rd `\method` markup).

`checkMethods` checks whether all methods defined in the package R code have all arguments of the corresponding generic, with positional arguments of the generics in the same positions for the method. The generics are sought first in the given package and then in the base package. The rules when `...` is involved are subtle: see the source code.

If using an installed package, the checks needing access to all R objects of the package will load the package (unless it is the base package), after possibly detaching an already loaded version of the package.

### Value

The functions return objects of class the same as the respective function names containing the information about problems detected. There is a `print` method for nicely displaying the information contained in such objects.

### Warning

These functions are still experimental. Both names, interfaces and values might change in future versions.

[Package Contents]